org.apache.ignite.cache

## Enum CacheDistributionMode

- java.lang.Object
- - java.lang.Enum<CacheDistributionMode>
  - - org.apache.ignite.cache.CacheDistributionMode

All Implemented Interfaces:
  Serializable, Comparable<CacheDistributionMode>

    public enum CacheDistributionMode
    extends Enum<CacheDistributionMode>

This enum defines mode in which partitioned cache operates.

Partitioned distribution mode can be configured via `CacheConfiguration.getDistributionMode()` configuration property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLIENT_ONLY` Mode in which local node does not cache any data and communicates with other cache nodes via remote calls.
`NEAR_ONLY` Mode in which local node will not be either primary or backup node for any keys, but will cache recently accessed keys in a smaller near cache.
`NEAR_PARTITIONED` Mode in which local node may store primary and/or backup keys, and also will cache recently accessed keys.
`PARTITIONED_ONLY` Mode in which local node may store primary or backup keys, but does not cache recently accessed keys in near cache.

### Method Summary

Methods
`static CacheDistributionMode` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static CacheDistributionMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheDistributionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLIENT_ONLY

    public static final CacheDistributionMode CLIENT_ONLY

Mode in which local node does not cache any data and communicates with other cache nodes via remote calls.

#### NEAR_ONLY

    public static final CacheDistributionMode NEAR_ONLY

Mode in which local node will not be either primary or backup node for any keys, but will cache recently accessed keys in a smaller near cache. Amount of recently accessed keys to cache is controlled by near eviction policy.

See Also:
  `CacheConfiguration.getNearEvictionPolicy()`

#### NEAR_PARTITIONED

    public static final CacheDistributionMode NEAR_PARTITIONED

Mode in which local node may store primary and/or backup keys, and also will cache recently accessed keys. Amount of recently accessed keys to cache is controlled by near eviction policy.

See Also:
  `CacheConfiguration.getNearEvictionPolicy()`

#### PARTITIONED_ONLY

    public static final CacheDistributionMode PARTITIONED_ONLY

Mode in which local node may store primary or backup keys, but does not cache recently accessed keys in near cache.

### Method Detail

#### values

    public static CacheDistributionMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheDistributionMode c : CacheDistributionMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheDistributionMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static CacheDistributionMode fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015